## btyacc 3.0%2Bdfsg

=== debian/changelog ===
btyacc (3.0+dfsg-2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 14 Jan 2026 19:41:08 +0000

btyacc (3.0+dfsg-2) unstable; urgency=medium

  * QA upload.
  * debian/control: bumped Standards-Version to 4.7.2.
  * debian/copyright: updated packaging copyright information.
  * debian/patches/050_fix-gcc-14-ftbfs.patch: created to fix FTBFS on GCC-14.
    (Closes: #1074856)
  * debian/watch: updated upstream URI for download links, using the HTTPS
    variant.

 -- David da Silva Polverari <polverari@debian.org>  Thu, 06 Mar 2025 05:07:16 +0000

btyacc (3.0+dfsg-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 3.0+dfsg.
  * Set Debian QA Group as maintainer. (See: #833160)
  * Migrations:
      - DebSrc to 3.0.
      - DH level to new format. Consequently:
          ~ debian/compat: removed.
          ~ debian/control: changed from 'debhelper' to 'debhelper-compat' in
            Build-Depends field and bumped level to 13.
      - debian/copyright to 1.0 format.
      - debian/rules to new (reduced) format. Consequently, created the
        following files:
          ~ debian/dirs
          ~ debian/docs
          ~ debian/examples
          ~ debian/manpages
  * debian/control:
      - Added Homepage field.
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
      - Changed Priority from extra to optional.
      - Created VCS fields.
      - Improved long description. Thanks to Pascal De Vuyst
        <pascal.devuyst@gmail.com>. (Closes: #745920)
  * debian/patches/:
      - 010_old-changes-1.0.patch: created to group old changes from 1.0 format.
      - 020_fix-manpages.patch: created to fix some issues in manpage.
      - 030_add-GCC-hardening.patch: created to provide GCC hardening.
      - 040_fix-spelling-final-binary.patch: created to provide a fix.
  * debian/README.Debian: changed doc path from /usr/doc to /usr/share/doc.
  * debian/rules: fix a FTCBFS. Created an override to dh_auto_build target to
    force to use default compiler as LINKER. Thanks to Helmut Grohne
    <helmut@subdivi.de>. (Closes: #928113)
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: created to perform trivial CI tests.
  * debian/upstream/metadata: created.
  * debian/watch:
      - Added a version line. (Closes: #529101)
      - Removed trash.
      - Updated the search rule. (Closes: #529101)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 24 May 2020 14:39:06 -0300

btyacc (3.0-5) unstable; urgency=low

  * Rebuild: finish /usr/doc transition (Closes: #359373)
  * Update debhelper compat and standards version

 -- Richard Atterer <atterer@debian.org>  Tue, 28 Mar 2006 11:22:34 +0200

btyacc (3.0-4) unstable; urgency=low

  * Remove dependency on btyacc.1 in Makefile, to prevent make from
    trying to rebuild it, closes: #146895

 -- Richard Atterer <atterer@debian.org>  Tue, 14 May 2002 19:14:30 +0200

btyacc (3.0-3) unstable; urgency=low

  * Fix update-alternative handling, closes: #146192

 -- Richard Atterer <atterer@debian.org>  Mon, 13 May 2002 12:49:15 +0200

btyacc (3.0-2) unstable; urgency=low

  * Security bugfix: Switched to mkstemp() instead of mktemp(),
    temporary files are unlink()ed immediately after creation
  * Added parser skeleton /usr/doc/btyacc/examples/btyacc-c.ske.gz
    which compiles both as C and C++
  * Applied some compatibility fixes by Mitchell Charity, made
    "usage:" message more verbose, made "skel2c" build script work
    with all awks, not just gawk

 -- Richard Atterer <atterer@debian.org>  Tue,  3 Jul 2001 21:59:14 +0200

btyacc (3.0-1) unstable; urgency=low

  * Initial Release. Finishes the ITP process, closes: #83946
  * Applied 5 small bugfixes to the upstream source (see README.Debian)
  * Wrote a man page

 -- Richard Atterer <atterer@debian.org>  Wed, 31 Jan 2001 12:45:57 +0100

## btyacc 3.0+dfsg

=== Makefile ===
#
# Makefile for BtYacc.
#

VERSION       = 3-0

DEST	      = .

HDRS	      = defs.h mstring.h

CFLAGS	      = -g -Wall -Wstrict-prototypes -Wmissing-prototypes

LDFLAGS	      = -static

LIBS	      =

CC	      = gcc
LINKER	      = gcc
# LINKER      = cl
# CC	      = cl

MAKEFILE      = Makefile

OBJS	      = closure.o error.o lalr.o lr0.o main.o mkpar.o output.o	\
		mstring.o reader.o readskel.o skeleton.o symtab.o verbose.o warshall.o

PRINT	      = pr -f -l88

PROGRAM	      = btyacc

SRCS	      = closure.c error.c lalr.c lr0.c main.c mkpar.c output.c	\
		mstring.c reader.c readskel.c skeleton.c symtab.c verbose.c warshall.c

OTHERS	      = README README.BYACC \
		Makefile btyaccpa.ske push.skel empty.y skel2c manpage makefile.dos \
		skeleton.c

all:		$(PROGRAM)

$(PROGRAM):     $(OBJS) $(LIBS)
		$(LINKER) $(LDFLAGS) -o $(PROGRAM) $(OBJS) $(LIBS)

clean:;		rm -f $(OBJS)

clobber:;	rm -f $(OBJS) $(PROGRAM)

distclean:;	rm -f $(OBJS) $(PROGRAM) skeleton.c *.zip *.gz

depend:;	mkmf -f $(MAKEFILE) PROGRAM=$(PROGRAM) DEST=$(DEST)

index:;		ctags -wx $(HDRS) $(SRCS)

install:	$(PROGRAM)
		cp $(PROGRAM).exe /bin

oldinstall:	$(PROGRAM)
		@echo Installing $(PROGRAM) in $(DEST)
		install -s $(PROGRAM) $(DEST)

listing:;	$(PRINT) Makefile $(HDRS) $(SRCS) | lpr

lint:;		lint $(SRCS)

program:        $(PROGRAM)

tags:           $(HDRS) $(SRCS)
		ctags $(HDRS) $(SRCS)

dist:		tar zip

tar:
		rm -f btyacc.tar btyacc.tar.gz
		tar cvf btyacc.tar $(OTHERS) $(SRCS) $(HDRS) test/*.y
		gzip -9 btyacc.tar
		mv btyacc.tar.gz btyacc-$(VERSION).tar.gz

zip:
		zip btyacc.zip $(OTHERS) $(SRCS) $(HDRS) test/*.y
		mv btyacc.zip btyacc-$(VERSION).zip

skeleton.c: btyaccpa.ske skel2c
		awk -f skel2c btyaccpa.ske >skeleton.c

etags TAGS:
		etags *.c *.h

###
closure.o: defs.h
error.o: defs.h
lalr.o: defs.h
lr0.o: defs.h
main.o: defs.h
mkpar.o: defs.h
mstring.o: mstring.h
output.o: defs.h
reader.o: defs.h mstring.h
skeleton.o: defs.h
symtab.o: defs.h
verbose.o: defs.h
warshall.o: defs.h

=== debian/control ===
Source: btyacc
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13)
Rules-Requires-Root: no
Homepage: https://www.siber.com/btyacc
Vcs-Browser: https://salsa.debian.org/debian/btyacc
Vcs-Git: https://salsa.debian.org/debian/btyacc.git

Package: btyacc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Backtracking parser generator based on byacc
 btyacc is a hacked version of the original Berkeley "byacc". The main
 change to byacc is the addition of backtracking code, allowing you to
 try both alternatives in case of shift-reduce or reduce-reduce conflicts.
 As long as no backtracking takes place, the speed is comparable to bison's
 one.
 .
 Additional features:
  - Enhanced support for storing of text position information for tokens.
  - Closes the potential *yacc/bison memory leak during error recovery.
  - Preprocessor directives like %ifdef, %include.
  - C++ friendly.
 .
 Related packages: bison, byacc, antlr

=== debian/tests/control ===
Test-Command: btyacc | grep -i usage
Restrictions: superficial

Test-Command: cp test/* $AUTOPKGTEST_TMP/;
              cd $AUTOPKGTEST_TMP/;
              for i in $(ls); do btyacc $i; done;
              cat y.tab.c
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/-/./,dversionmangle=s/\+dfsg// \
https://www.siber.com/btyacc/ btyacc-(\d\S+)\.tar\.(?:bz2|gz|xz)
